Page MenuHomePhabricator

[Sema] SequenceChecker: Add some comments + related small NFCs in preparation of the following patches
ClosedPublic

Authored by riccibruno on Feb 3 2019, 11:15 AM.

Details

Summary

NFCs factored out of the following patches:

  • Change all of the Expr * to const Expr * in SequenceChecker for const-correctness
  • Add some comments
  • clang-format

Diff Detail

Event Timeline

riccibruno created this revision.Feb 3 2019, 11:15 AM
aaron.ballman added inline comments.Feb 4 2019, 6:25 AM
lib/Sema/SemaChecking.cpp
11748 ↗(On Diff #184966)

You can drop the {} here and below.

11927 ↗(On Diff #184966)

A last thing we have to be careful is that -> We also have to be careful that

riccibruno marked an inline comment as done.Feb 4 2019, 7:16 AM
riccibruno added inline comments.
lib/Sema/SemaChecking.cpp
11748 ↗(On Diff #184966)

I don't think I can (although I can drop it for the array of SequenceTree::Seq). I want to value-initialize each expression in this array so that they are all null.

riccibruno marked an inline comment as done.

Rebased and fixed a comment.

xbolva00 accepted this revision.Aug 20 2019, 6:08 AM
xbolva00 added a subscriber: xbolva00.

This seems ok (not sure why stalled)

This revision is now accepted and ready to land.Aug 20 2019, 6:08 AM

Rebased. Thanks for the review @xbolva00 !

riccibruno edited the summary of this revision. (Show Details)

Rebased on top of current master. No need to look at it.

This revision was automatically updated to reflect the committed changes.